Subject: Re: [RFC] shell: local x=$1 may need to quote the RHS

From: Taylor Blau <[email-masked]>
Date: Wed, 26 Jan 2022 16:52:33 -0500

On Tue, Jan 25, 2022 at 09:53:25PM -0800, Junio C Hamano wrote:
> Taylor Blau <[email-masked]> writes:
> >
> >> The manual page for recent dash may need an update.
> >> Can you perhaps file a bug on their documentation?
> >
> > Yes, I agree that dash.1 is out-of-date after cbb71a8. Konstantin:
> > please feel free to use any of this if it's helpful to you in creating a
> > bug report for the dash folks.
>
> I doubt that we can write off dash v0.5.10 as too old to matter, as
> the tagger date seems to be mid 2020 at
>
> https://kernel.googlesource.com/pub/scm/utils/dash/dash/+/refs/tags/v0.5.11

That isn't quite what I was implying. What I meant to say was that the
dash _manual page_ is out-of-date w.r.t. the dash patch I linked, not
that that version is something we could ignore.

Thanks,
Taylor